Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1484550 - TLS for Internal services for Pacemaker
Summary: TLS for Internal services for Pacemaker
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-pacemaker
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 12.0 (Pike)
Assignee: Michele Baldessari
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1484601 1510144 1484499 1484506 1484512 1484517 1484520 1484521 1484524 1484531 1484535 1484542 1484547 1486759 1486766
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 20:30 UTC by atelang
Modified: 2019-04-10 13:58 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1484547
Environment:
Last Closed: 2018-01-08 16:19:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 489132 None None None 2017-09-12 09:26:13 UTC

Comment 1 Michele Baldessari 2017-09-12 09:26:13 UTC
So Damien and I verified that traffic is correctly encrypted when it is set. The work left here is to fix up upgrades. We're discussing approaches in the linked gerrit review

Comment 3 Chris Jones 2018-01-08 16:19:27 UTC
This works for SSL deployments in OSP12 and the upgrade case is less relevant because it's not possible to move from a non-SSL deployment to an SSL deployment in the general case.


Note You need to log in before you can comment on or make changes to this bug.